LogEntry
Date: 2016-06-25

org.osgi.service.log

## Interface LogEntry

-     public interface LogEntry

  Provides methods to access the information contained in an individual Log Service log entry.

  A `LogEntry` object may be acquired from the `LogReaderService.getLog` method or by registering a `LogListener` object.

  See Also:
    `LogReaderService.getLog()`, `LogListener`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.osgi.framework.Bundle` | `getBundle()` Returns the bundle that created this `LogEntry` object.
    `java.lang.Throwable` | `getException()` Returns the exception object associated with this `LogEntry` object.
    `int` | `getLevel()` Returns the severity level of this `LogEntry` object.
    `java.lang.String` | `getMessage()` Returns the human readable message associated with this `LogEntry` object.
    `org.osgi.framework.ServiceReference` | `getServiceReference()` Returns the `ServiceReference` object for the service associated with this `LogEntry` object.
    `long` | `getTime()` Returns the value of `currentTimeMillis()` at the time this `LogEntry` object was created.

- - ### Method Detail

    - #### getBundle

          org.osgi.framework.Bundle getBundle()

      Returns the bundle that created this `LogEntry` object.
      Returns:
        The bundle that created this `LogEntry` object; `null` if no bundle is associated with this `LogEntry` object.

    - #### getServiceReference

          org.osgi.framework.ServiceReference getServiceReference()

      Returns the `ServiceReference` object for the service associated with this `LogEntry` object.
      Returns:
        `ServiceReference` object for the service associated with this `LogEntry` object; `null` if no `ServiceReference` object was provided.

    - #### getLevel

          int getLevel()

      Returns the severity level of this `LogEntry` object.

      This is one of the severity levels defined by the `LogService` interface.

      Returns:
        Severity level of this `LogEntry` object.
      See Also:
        `LogService.LOG_ERROR`, `LogService.LOG_WARNING`, `LogService.LOG_INFO`, `LogService.LOG_DEBUG`

    - #### getMessage

          java.lang.String getMessage()

      Returns the human readable message associated with this `LogEntry` object.
      Returns:
        `String` containing the message associated with this `LogEntry` object.

    - #### getException

          java.lang.Throwable getException()

      Returns the exception object associated with this `LogEntry` object.

      In some implementations, the returned exception may not be the original exception. To avoid references to a bundle defined exception class, thus preventing an uninstalled bundle from being garbage collected, the Log Service may return an exception object of an implementation defined Throwable subclass. The returned object will attempt to provide as much information as possible from the original exception object such as the message and stack trace.

      Returns:
        `Throwable` object of the exception associated with this `LogEntry`;`null` if no exception is associated with this `LogEntry` object.

    - #### getTime

          long getTime()

      Returns the value of `currentTimeMillis()` at the time this `LogEntry` object was created.
      Returns:
        The system time in milliseconds when this `LogEntry` object was created.
      See Also:
        "System.currentTimeMillis()"